aboutsummaryrefslogtreecommitdiff
path: root/test/dev_test_suite.sh
diff options
context:
space:
mode:
authorPjotr Prins2018-09-27 09:59:20 +0000
committerPjotr Prins2018-09-27 09:59:20 +0000
commit8dbe3068953610996c86c765ef141c9f7ba1fbac (patch)
tree0c1ca74f1dbd1967e45667adac2ff95c26b21802 /test/dev_test_suite.sh
parentec839a12c279317cec1135e9fdaa50fb00708d89 (diff)
downloadpangemma-8dbe3068953610996c86c765ef141c9f7ba1fbac.tar.gz
Tests: added correlated phenotype test
Diffstat (limited to 'test/dev_test_suite.sh')
-rwxr-xr-xtest/dev_test_suite.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/test/dev_test_suite.sh b/test/dev_test_suite.sh
index 9c2850e..0992635 100755
--- a/test/dev_test_suite.sh
+++ b/test/dev_test_suite.sh
@@ -2,7 +2,7 @@
gemma=../bin/gemma
# gemmaopts="-debug -strict"
-gemmaopts="-debug"
+gemmaopts="-debug -check"
testLinearModel() {
$gemma $gemmaopts -g ../example/mouse_hs1940.geno.txt.gz \
@@ -156,6 +156,20 @@ testPlinkUnivariateLinearMixedModelLOCO1() {
assertEquals "15465346.22" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
}
+
+testCorrelatedPhenotypesMvLLM() {
+ $gemma $gemmaopts -p data/correlated_phenotypes/Ysim_reg_gemma.txt \
+ -g data/correlated_phenotypes/Genotypes_gemma.csv \
+ -d data/correlated_phenotypes/Kinship_eigenval_gemma.txt \
+ -u data/correlated_phenotypes/Kinship_eigenvec_gemma.txt \
+ -lmm 2 -n 1 9 4 6 10 -o corrpheno
+ assertEquals 0 $?
+ # outfn=output/$outn.assoc.txt
+ # assertEquals "68" `wc -l < $outfn`
+ # assertEquals "15465346.22" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
+
shunit2=`which shunit2`
if [ -x "$shunit2" ]; then